Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.oscache.web
Class CacheContextListener

    java.lang.Object
      com.opensymphony.oscache.web.CacheContextListener

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.ServletContextListener

public class CacheContextListener
extends java.lang.Object
implements javax.servlet.ServletContextListener

Author:
  Chris Miller

Constructor Summary
`CacheContextListener()`

Method Summary
`void` | `contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)` This notification occurs when the servlet context is about to be shut down.
`void` | `contextInitialized(javax.servlet.ServletContextEvent servletContextEvent)` This notification occurs when the webapp is ready to process requests.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheContextListener

    public CacheContextListener()

Method Detail

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent servletContextEvent)

  This notification occurs when the webapp is ready to process requests.

  We use this hook to cleanly start up the `ServletCacheAdministrator` and create the application scope cache (which will consequentially initialize any listeners configured for it that implement `LifecycleAware`.)

  As of Servlet 2.4, this is guaranteed to be called before any Servlet.init() methods.

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)

  This notification occurs when the servlet context is about to be shut down. We use this hook to cleanly shut down the cache.

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| See www.opensymphony.com for more information.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD